Bug 221 - xft in xfree86 is very stale
Summary: xft in xfree86 is very stale
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xft (show other bugs)
Version: unspecified
Hardware: All All
: highest blocker
Assignee: Default Bug Report Assignee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 213
  Show dependency treegraph
 
Reported: 2004-02-25 09:47 UTC by Jim Gettys
Modified: 2004-03-28 19:15 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Gettys 2004-02-25 09:47:32 UTC
and buggy, as it has been maintained upstream out of XF86 for quite a while.

Mike Harris knows how to make the current xft bits work in the
traditional tree.  Shipping known broken bits is a bad idea.

Unfortunately, we can't just remove it all together in the monolithic
tree, as things like xterm depend on it, necessitating an actual update.

This also should be release noted.
Comment 1 Mike A. Harris 2004-03-05 00:00:01 UTC
Kaleb was going to fix the Imake configs so that 3 level .so versions
were doable I believe.  Once that is done, importing new Xft should not
be difficult.

Kaleb, could you provide status on this and your current thoughts, so we
can get this stuff in tree, or provide alternative closure soon?

Thanks in advance.
Comment 2 Default Bug Report Assignee 2004-03-05 03:19:23 UTC
support for three level version numbers was committed to the -CURRENT branch
three days ago. 

Egbert needs to merge this to the -RELEASE-1 branch.
Comment 3 Egbert Eich 2004-03-09 10:57:29 UTC
Updated to 2.1.2 on release branch.
Comment 4 Mike A. Harris 2004-03-09 15:06:58 UTC
xft-2.1.2 is old also, 2.1.3 is current, or was that just a typo?

http://freedesktop.org/~xlibs/release/libXft-2.1.3.tar.bz2
Comment 5 Egbert Eich 2004-03-10 01:14:16 UTC
I've asked Keith where the latest bits are and came up with 2.1.2. I didn't see
a 2.1.3. It would probably be a good idea to set up a current directory where
just the latest released versions live so that one doesn't have to check this huge
pile of mess.
Anyway if you feel it should be 2.1.3 go ahead and update. I've had it. I have
no time to waste.
Comment 6 Egbert Eich 2004-03-10 01:18:59 UTC
OK, I found out why I got 2.1.2 instead of 2.1.3:
The package used to be called xft now it is called libXft.
I think those who created this mess should clean up.
Comment 7 Egbert Eich 2004-03-10 01:57:50 UTC
OK, I've played around with Xft 2.1.3. It requires FC_HINT_STYLE defined
somewhere. OK, it should be in a file fontconfig.h which does not exist
in the version of fontconfig.h.
Since Xft does not work with the version of fontconfig in the monolithic tree
I cannot upgrade unless I upgrade fontconfig - which I don't want to do.

This brings up a problem with the modular build: One needs to have the latest 
and greatest bits installed on the system to have a consistent build
environment. If you pull at one end you'll have to update everything else. This
may not always
be feasable. The configure scripts don't do a good enough job to determine if
the installed version is suitable. Instead they leave the user with the compile
error wondering why the tree doesn't build.
Before we can move over to modular bits I think a major cleanup of the autotool
process has to take place where such tings get fixed.
Comment 8 Egbert Eich 2004-03-10 07:17:12 UTC
Xft 2.1.3 depends on a developers snapshot of fontconfig. Appearantly a
version 2.2.90 or greater.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.